Articles of ubuntu

JAVA_OPTS для увеличения размера кучи

Я хочу увеличить размер кучи. Как я могу использовать JAVA_OPTS для этого. Я получаю следующую ошибку, возможно, это из-за низкого размера кучи UNEXPECTED TOP-LEVEL ERROR: java.lang.OutOfMemoryError: Java heap space at java.util.Arrays.copyOfRange(Arrays.java:3209) at java.lang.String.<init>(String.java:215) at java.lang.StringBuilder.toString(StringBuilder.java:430) at com.android.dx.rop.type.Prototype.withFirstParameter(Prototype.java:370) at com.android.dx.rop.code.Rops.ropFor(Rops.java:1210) at com.android.dx.cf.code.RopperMachine.run(RopperMachine.java:478) at com.android.dx.cf.code.Simulator$SimVisitor.visitConstant(Simulator.java:692) at com.android.dx.cf.code.BytecodeArray.parseInstruction(BytecodeArray.java:763) at com.android.dx.cf.code.Simulator.simulate(Simulator.java:95) at com.android.dx.cf.code.Ropper.processBlock(Ropper.java:684) at com.android.dx.cf.code.Ropper.doit(Ropper.java:639) at com.android.dx.cf.code.Ropper.convert(Ropper.java:252) at com.android.dx.dex.cf.CfTranslator.processMethods(CfTranslator.java:256)

Android-эмулятор взлетает на Ubuntu 11.10

Я установил Android SDK на свой Ubuntu 11.10 (32-разрядный) компьютер. Я также установил Eclipse (3.7) и связанные с ним плагины для разработки Android, все на openjdk6. Используя eclipse, я успешно создал Android Virtual Device (используя AVD Manager). Однако, когда я пытаюсь запустить это виртуальное устройство, через Eclipse ИЛИ используя «эмулятор» для Android SDK, эмулированное устройство […]

Для платформы отсутствует модуль Cordova – check_reqs. Пропуск

У меня возникли проблемы с приложением Кордовы, первоначально созданным на Ubuntu, но когда я пытаюсь загрузить то же приложение Кордовы на свой компьютер с Windows 10, я попадаю в проблемы. Когда я запускаю следующую команду, это ответ, который я получаю: $ cordova requirements // вывод из cmd Requirements check results for android: Java JDK: installed […]

Как открыть диспетчер AVD на Ubuntu Linux из командной строки?

Как открыть диспетчер AVD на Ubuntu Linux из командной строки?

«Кордоба-платформа add android» терпит неудачу с неожиданной ошибкой

Я пытаюсь установить Phonegap на Ubuntu 13.04, я установил Android SDK со всеми доступными пакетами, но выполнил следующую команду: cordova platform add android С неожиданной ошибкой: [Error: An error occured during creation of android sub-project. An unexpected error occurred: "$ANDROID_BIN" create project –target $TARGET –path "$PROJECT_PATH" –package $PACKAGE –activity $ACTIVITY &>/dev/null exited with 1 Deleting […]

Проблемы с клавиатурой с Android Studio на Ubuntu

При использовании Android Studio на Ubuntu существуют сценарии, в которых среда IDE перестанет отвечать на ввод с клавиатуры или начнет вводить случайные символы? Как это исправить? Или возможные обходные пути.

Eclipse Juno часто закрывается автоматически после обновления Ubuntu до 14.04 TLS

Я просто работал с моим затмением до обновления до 14.04. Но после обновления до 14.04 мое затмение часто закрывается без предупреждения. И он генерирует файл hs_err_pid4612.log на моем рабочем столе. Как я могу исправить эту проблему?

Android: Исключение в org.eclipse.swt.SWTError: больше не обрабатывается

Я пытаюсь настроить среду, в которой я могу разрабатывать приложения для Android на сервере Ubuntu 13.04. Поэтому я могу использовать только командную строку. Когда я запускаю android , просто чтобы проверить, работает ли он, я получаю: Exception in thread "main" org.eclipse.swt.SWTError: No more handles [gtk_init_check() failed] at org.eclipse.swt.SWT.error(Unknown Source) at org.eclipse.swt.widgets.Display.createDisplay(Unknown Source) at org.eclipse.swt.widgets.Display.create(Unknown Source) […]

ADB не отвечает – подождите больше или убейте adb или перезагрузите (Ubuntu 13) 64-разрядный

Я серьезно занимался поиском как в Google, так и в SO, прежде чем задавать этот вопрос – в основном потому, что ни один из предложений не устранил мою проблему! После безуспешной попытки заставить мой новый Intellij и Android SDK работать с моим недавно установленным Ubuntu 13.10, я прихожу к вам за помощью. Я знаю, что […]

Ошибка: программа «/ NDK-build» не найдена в PATH

Мне нужна помощь. Я пытаюсь установить и настроить OpenCV 2.4.7 library на своем компьютере (Ubuntu 12.04). После запуска образцов OpenCV появляются эти ошибки в моей консоли: Не удается запустить программу "/NDK-build" : неизвестная причина Ошибка: программа "/NDK-build" не найдена в PATH = [/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games] Я видел множество учебников и ничего не работал. Я прошу вас быть […]